Std Edit: Difference between revisions

From FreeCAD Documentation
(Removed 'In Progress'.)
(Marked this version for translation)
Line 24: Line 24:
The '''Std Edit''' command activates or deactivates an object's edit mode.
The '''Std Edit''' command activates or deactivates an object's edit mode.


==Usage==
==Usage== <!--T:16-->


<!--T:17-->
# If no object is in edit mode: select a single object.
# If no object is in edit mode: select a single object.
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
# Select the {{MenuCommand|Edit → [[Image:Std_Edit.svg|16px]] Toggle Edit mode}} option from the menu.
# Either the edit mode of the selected object is activated or the existing edit mode deactivated.
# Either the edit mode of the selected object is activated or the existing edit mode deactivated.


==Notes==
==Notes== <!--T:18-->


<!--T:19-->
* Not all object types have an edit mode.
* Not all object types have an edit mode.
* The functionality available in edit mode depends on the object type.
* The functionality available in edit mode depends on the object type.
Line 38: Line 40:
==Scripting== <!--T:6-->
==Scripting== <!--T:6-->


<!--T:20-->
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].



Revision as of 21:21, 23 March 2020

Std Edit

Menu location
Edit → Toggle Edit mode
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
None

Description

The Std Edit command activates or deactivates an object's edit mode.

Usage

  1. If no object is in edit mode: select a single object.
  2. Select the Edit → Toggle Edit mode option from the menu.
  3. Either the edit mode of the selected object is activated or the existing edit mode deactivated.

Notes

  • Not all object types have an edit mode.
  • The functionality available in edit mode depends on the object type.
  • Edit mode can also be activated by double clicking an object in the Tree view.

Scripting

See also: FreeCAD Scripting Basics.

To activate an object's edit mode use the setEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.setEdit("myObjectName",0)

To deactivate an object's edit mode use the resetEdit method of the document object.

import FreeCADGui

FreeCADGui.ActiveDocument.resetEdit()